#### PyKDE - Python Bindings for KDE

# class DOM.HTMLCollection |
Table of contents
Modules
khtml Classes
All Classes

Module | khtml
Class | DOM.HTMLCollection
Inherits |

### methods

- HTMLCollection ()

  returns a HTMLCollection instance

- HTMLCollection (other)

  returns a HTMLCollection instance
  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLCollection |

- HTMLCollection (base, type)

  Not Implemented

- base ()

  returns (DOM.Node)

- firstItem ()

  returns (DOM.Node)

- handle ()

  Not Implemented

- isNull ()

  returns (bool)

- item (index)

  returns (DOM.Node)
  Argument | Type | Default
  --- | --- | ---
  index | ulong |

- length ()

  returns (ulong)

- namedItem (name)

  returns (DOM.Node)
  Argument | Type | Default
  --- | --- | ---
  name | DOM.DOMString |

- nextItem ()

  returns (DOM.Node)

- nextNamedItem (name)

  returns (DOM.Node)
  Argument | Type | Default
  --- | --- | ---
  name | DOM.DOMString |